# saasBomItemsResponse

Response type containing a list of SaaS BOM (Software Bill of Materials) items along with pagination information.

### Examples

```graphql
type SaasBomItemsResponse {
  saasBomItems: [SaasBomItem]
  total: Int
  totalFiltered: Int
}
```

### Fields

| Field                                                                                                          | Description                                          | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                  |
| -------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| saasBomItems [`[SaasBomItem]`](/api-documentation/api-reference/api--saas-sbom/types/objects/saas-bom-item.md) | List of SaaS BOM items matching the query criteria   | <p>id <code>String</code><br>appId <code>String</code><br>appName <code>String</code><br>appType <code>String</code><br>name <code>String</code><br>link <code>String</code><br>category <code>String</code><br>createdAt <code>Date</code><br>extraInfo <a href="/pages/IqWbrDh7aJ8QwGMXh0Uj"><code>\[ApplicationExtraInfo]</code></a><br>issuesBySeverity <a href="/pages/slO1MlaqzcbcMdp3yvLW"><code>Severities</code></a></p> |
| total `Int`                                                                                                    | Total number of items in the system                  |                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| totalFiltered `Int`                                                                                            | Number of items matching the current filter criteria |                                                                                                                                                                                                                                                                                                                                                                                                                                   |

### References

#### Queries using this object:

* [\<?> getSaasBomItems](/api-documentation/api-reference/api--saas-sbom/queries/get-saas-bom-items.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--saas-sbom/types/objects/saas-bom-items-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
